#!/bin/bash

HOSTNAME=`hostname -s`
LOGFILE=/usr/local/saa/syncrepl_check_log
TMPFILE=/var/tmp/syncrepl_check_log
CMD="/usr/local/nagios/plugins/check_syncrepl -w 30s -c 10mn -b dc=uvm,dc=edu"

while true; do
    echo "======================="  > ${TMPFILE}
    echo "Date:" `date` >> ${TMPFILE}
    ${CMD} >> ${TMPFILE} 2>&1
    RC=$?
    if (( RC != 0 )); then
	SUBJ=`tail -1 ${TMPFILE} | tr -d '\n'`
        egrep '^(Date|context_csn|Replica|Problem)' ${TMPFILE} |
	    mail -s "$HOSTNAME: $SUBJ" fcs@uvm.edu
        egrep '^(=====|Date|context|Replica|Problem)' ${TMPFILE} >> ${LOGFILE}
    fi
    head -2 ${TMPFILE}
    tail -1 ${TMPFILE}
    sleep 120 
done
